%define spmajor 2
%define libname    %mklibname sidplay %{spmajor}
%define sumajor 0
%define libnamesu %mklibname sidutils %{sumajor}
%define develnamesu %mklibname -d sidutils
%define staticdevelnamesu %mklibname -s -d sidutils
%define builders %{_libdir}/sidplay/builders

Summary:	A Commodore 64 music player and SID chip emulator library
Name:		sidplay-libs
Version:	2.1.1
Release:	14
License:	GPLv2+
Group:		System/Libraries
URL:		http://sidplay2.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/sidplay2/%{name}-%version.tar.bz2
Patch0:		sidplay-libs-2.1.1-gcc4.3.patch
#gw from xsidplay 2.0.3
Patch1:		cia1.patch
BuildRequires:	automake
BuildRequires:	chrpath

%description
This is a cycle-based version of a C64 music playing library
developed by Simon White. This library provides no internal
SID emulation. Instead a means to drive any external SID hardware or
emulation has been provided using the SID Builder Classes.

A ReSID Builder Class using a modified version of ReSID 0.13
is included in this package. Alternative/updated classes can be
obtained from the SIDPlay2 homepage.

%package -n %{libname}
Summary:	A Commodore 64 music player and SID chip emulator library
Group:		System/Libraries

%description -n %{libname}
This is a cycle-based version of a C64 music playing library
developed by Simon White. This library provides no internal
SID emulation. Instead a means to drive any external SID hardware or
emulation has been provided using the SID Builder Classes.

A ReSID Builder Class using a modified version of ReSID 0.13
is included in this package. Alternative/updated classes can be
obtained from the SIDPlay2 homepage.

#gw don't use libsidplay-devel here, that's libsidplay1
%package -n %{libname}-devel
Summary:	Development headers and libraries for %{libname}
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	libsidplay-devel = %{version}-%{release}
Provides:	sidplay2-devel = %{version}-%{release}

%description -n %{libname}-devel
This package includes the header and library files necessary
for developing applications to use %{libname}.

%package -n %{libnamesu}
Summary:	General utility library for use in sidplayers
Requires:	%{libname} = %{version}-%{release}
Group:		System/Libraries

%description -n %{libnamesu}
This library provides general utilities that are not considered core
to the C64 emulation.  Utilities include decoding and obtaining tune
lengths from the songlength database, INI file format parser and SID
filter files (types 1 and 2).

%package -n %{develnamesu}
Summary:	Development headers and libraries for libsidutils
Group:		Development/C++
Requires:	%{libnamesu} = %{version}-%{release}
Requires:	%{libname}-devel = %{version}-%{release}
Provides:	libsidutils-devel = %{version}-%{release}

%description -n %{develnamesu}
This package includes the header and library files necessary
for developing applications to use %{libnamesu}.

%package -n %{staticdevelnamesu}
Summary:	Static library for %{libnamesu}
Group:		Development/C++
Requires:	%{develnamesu} = %{version}
Provides:	libsidutils-static-devel = %{version}-%{release}

%description -n %{staticdevelnamesu}
This package includes the static library file necessary
for developing applications to use %{libnamesu}.


%prep
%setup -q
%patch0 -p1 -b .gcc
%patch1 -p1
for i in . * */*; do
	[ -d "$i" ] || continue
	[ -e "$i/configure.in" -o -e "$i/configure.ac" ] || continue
	pushd $i
	aclocal -I unix
	libtoolize --copy --force
	automake -a
	autoconf
	popd
done

%build
export CFLAGS="%optflags -fPIC"
export CXXFLAGS="%optflags -fPIC"
%configure2_5x
%make

%install
#hack to prevent relinking
sed s/relink_command.*// < libsidutils/src/libsidutils.la > tmp.la
mv tmp.la libsidutils/src/libsidutils.la
%makeinstall_std
chrpath -d %{buildroot}%{_libdir}/libsidutils.so

rm -f %{buildroot}%{builders}/libsid*
rm -rf %{buildroot}%{builders}/pkgconfig

%multiarch_includes %{buildroot}%{_includedir}/sidplay/sidconfig.h

%files -n %libname
%doc libsidplay/AUTHORS libsidplay/ChangeLog libsidplay/README libsidplay/TODO
%{_libdir}/libsidplay*.so.*

%files -n %libname-devel
%dir %{_libdir}/sidplay/
%dir %{_libdir}/sidplay/builders
%dir %{_includedir}/sidplay/builders/
%{_includedir}/sidplay/*.h
%{_includedir}/sidplay/builders/*.h
%{multiarch_includedir}/sidplay/

%{_libdir}/libsidplay*.so
%{_libdir}/libsidplay*.a
%{_libdir}/pkgconfig/libsidplay*.pc
%{builders}/*.a

%files -n %{libnamesu}
%doc libsidutils/AUTHORS libsidutils/ChangeLog libsidutils/README libsidutils/TODO
%{_libdir}/libsidutils*.so.*

%files -n %{develnamesu}
%dir %{_includedir}/sidplay/utils/
%{_includedir}/sidplay/utils/*
%{_libdir}/libsidutils*.so
%{_libdir}/pkgconfig/libsidutils*pc

%files -n %{staticdevelnamesu}
%{_libdir}/libsidutils*.a



%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2.1.1-14
+ Revision: c740d29
- MassBuild#440: Increase release tag


